Package org.opensaml.storage.impl.memcached

# Class StorageRecordTranscoder

java.lang.Object
org.opensaml.storage.impl.memcached.StorageRecordTranscoder

All Implemented Interfaces:
  `net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>`

public class StorageRecordTranscoder extends Object implements net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>
Handles conversion of `MemcachedStorageRecord` to bytes and back.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final int`
`MAX_SIZE`
Max size is maximum default memcached value size, 1MB.

## Constructor Summary

Constructors
Constructor
Description
`StorageRecordTranscoder()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`asyncDecode(net.spy.memcached.CachedData d)`
`MemcachedStorageRecord<?>`
`decode(net.spy.memcached.CachedData d)`
`net.spy.memcached.CachedData`
`encode(MemcachedStorageRecord<?> o)`
`int`
`getMaxSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_SIZE

private static final int MAX_SIZE
Max size is maximum default memcached value size, 1MB.

See Also:
  - Constant Field Values

## Constructor Details

### StorageRecordTranscoder

public StorageRecordTranscoder()

## Method Details

### asyncDecode

public boolean asyncDecode(net.spy.memcached.CachedData d)

Specified by:
  `asyncDecode` in interface `net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>`

### encode

public net.spy.memcached.CachedData encode(MemcachedStorageRecord<?> o)

Specified by:
  `encode` in interface `net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>`

### decode

public MemcachedStorageRecord<?> decode(net.spy.memcached.CachedData d)

Specified by:
  `decode` in interface `net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>`

### getMaxSize

public int getMaxSize()

Specified by:
  `getMaxSize` in interface `net.spy.memcached.transcoders.Transcoder<MemcachedStorageRecord<?>>`